summaryrefslogtreecommitdiffhomepage
path: root/sofort
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2024-02-22 04:39:46 +0000
committermidipix <writeonce@midipix.org>2024-02-22 04:52:47 +0000
commit73595a1af54e8e1906620dc68cdc5abd44634da9 (patch)
treee59a41b94ae2b6479f760dd83712dc1ea88af8a8 /sofort
parent6d2fadb5e746d50433d14d7db8456c35cea580f6 (diff)
downloadptycon-73595a1af54e8e1906620dc68cdc5abd44634da9.tar.bz2
ptycon-73595a1af54e8e1906620dc68cdc5abd44634da9.tar.xz
build system: ccenv.sh: legacy PE targets: define __PE__ and friends as needed.
Diffstat (limited to 'sofort')
-rw-r--r--sofort/ccenv/ccenv.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/sofort/ccenv/ccenv.sh b/sofort/ccenv/ccenv.sh
index 0f7f486..30e28fd 100644
--- a/sofort/ccenv/ccenv.sh
+++ b/sofort/ccenv/ccenv.sh
@@ -1412,6 +1412,20 @@ ccenv_set_os_pe_switches()
;;
esac
fi
+
+ if [ "$ccenv_cc_binfmt" = 'PE' ]; then
+ if ! cfgtest_macro_definition '__PE__'; then
+ ccenv_cflags_os="${ccenv_cflags_os} -D__PE__"
+ fi
+
+ if ! cfgtest_macro_definition '__dllexport'; then
+ ccenv_cflags_os="${ccenv_cflags_os} -D__dllexport=__attribute__\(\(__dllexport__\)\)"
+ fi
+
+ if ! cfgtest_macro_definition '__dllimport'; then
+ ccenv_cflags_os="${ccenv_cflags_os} -D__dllimport=__attribute__\(\(__dllimport__\)\)"
+ fi
+ fi
}
ccenv_output_defs()